<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddUserIdToCardSetting extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('card_setting', function (Blueprint $table) {
            $table->string('user_id',255)->comment('用户ID');
            $table->tinyInteger('banner_hide')->comment('是否隐藏轮播图');
            $table->integer('banner_height')->comment('轮播图高度');
            $table->tinyInteger('project_type')->comment('经营项目展示方式');
            $table->tinyInteger('trend_type')->comment('个人动态展示方式');
            $table->string('copyright')->comment('版权信息');
            $table->tinyInteger('banner_sort')->comment('轮播图模块顺序');
            $table->tinyInteger('menu_sort')->comment('Menu模块顺序');
            $table->tinyInteger('project_sort')->comment('经营项目模块顺序');
            $table->tinyInteger('trend_sort')->comment('个人动态模块顺序');
            $table->tinyInteger('message_sort')->comment('个人信息模块顺序');
            $table->tinyInteger('share_sort')->comment('分享模块顺序');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('card_setting', function (Blueprint $table) {
            //
        });
    }
}
